require "awesome_votes/version"

module AwesomeVotes
  extend ActiveSupport::Concern

  include do
    has_many :vote, as: :voteable
  end

  def total_votes
    up_votes - down_votes
  end

  def up_votes
    self.votes.where(vote: true).size    
  end

  def down_votes
    self.votes.where(vote: false).size
  end
end
